Loading...
Searching...
No Matches
BALL::VIEW::ControlSelectionMessage Class Reference

`#include <BALL/VIEW/KERNEL/message.h>`

Inheritance diagram for BALL::VIEW::ControlSelectionMessage:

## Public Member Functions

| ControlSelectionMessage ()
Public Member Functions inherited from BALL::VIEW::GenericSelectionMessage
| GenericSelectionMessage ()
| GenericSelectionMessage (const GenericSelectionMessage &message)
virtual | ~GenericSelectionMessage ()
void | setSelection (const std::list< Composite * > &selection)
const std::list< Composite * > & | getSelection () const
std::list< Composite * > & | getSelection ()
Public Member Functions inherited from BALL::VIEW::Message
| Message ()
| Message (const Message &message)
virtual | ~Message ()
void | setSender (const ConnectionObject *sender)
const ConnectionObject * | getSender () const
void | setDeletable (bool flag=true)
bool | isDeletable () const
boost::any & | data ()

## Detailed Description

Used to inform MainControl of selection in MolecularControl (not the one of the checkboxes!) and the other way round.

  MolecularControl -> MainControl and

  MainControl -> MolecularControl

Definition at line 486 of file message.h.

## Constructor & Destructor Documentation

## ControlSelectionMessage()

BALL::VIEW::ControlSelectionMessage::ControlSelectionMessage | ( |  | ) |